# -*- coding: utf-8 -*-

from django.contrib import admin
from import_export.admin import ExportMixin

from resources import SubscriptionResource

from models import Subscription


class SubscriptionAdmin(ExportMixin, admin.ModelAdmin):
    date_hierarchy = 'creation_date'
    list_display = [
        'email',
        'first_name',
        'last_name',
        'creation_date',
    ]
    list_filter = [
        'creation_date',
    ]
    search_fields = [
        'first_name',
        'last_name',
        'email',
    ]
    actions_on_top = False
    actions_on_bottom = True
    resource_class = SubscriptionResource


admin.site.register(Subscription, SubscriptionAdmin)
